EDIT - bug #7291

PolytomousKey Node should not allow to search for synonym
02/22/2018 02:48 PM - Andreas Mller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 50%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.0

Severity: normal Found in Version:

Description

searching for a taxon for a pk node also offers synonyms. Resulting in a CCE as synonyms are not allowed to be linked.
The search should be filtered to accepted taxa.

login : admin
editor version : 4.15.0.201802211343
server : test.e-taxonomy.eu (edit-test) / rem_conf_am

schema version : 4.7.0.0.201710040000
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_121
java.lang.ClassCastException: eu.etaxonomy.cdm.model.taxon.Synonym cannot be cast to eu.etaxonomy.
cdm.model.taxon.Taxon

at eu.etaxonomy.taxeditor.ui.dialog.selection.TaxonBaseSelectionDialog.selectTaxon (TaxonBaseSe
lectionDialog. java:46)

at eu.etaxonomy.taxeditor.ui.dialog.selection.SelectionDialogFactory.getSelectionFromDialog (Se
lectionDialogFactory. java:69)

at eu.etaxonomy.taxeditor.ui.selection.EntitySelectionElement.widgetSelected (EntitySelectionEl
ement . java:220)

at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener.java:249)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1079)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java
:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1l
022)

at org.eclipse.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application. java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
her.java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLlauncher.start (EclipseAppLauncher. java:
104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run(Main.java:1519)

Related issues:
Related to EDIT - bug #7307: Synonyms should not be shown when creating a new... Closed
Associated revisions

Revision 9df04a28 - 03/12/2018 10:04 AM - Katja Luther

fix #7291: search only for taxa for polytomous key nodes

Revision 46b99314 - 04/27/2018 12:03 PM - Katja Luther

fix #7291: scope selection should use taxon selection dialog

History

#1 - 03/09/2018 09:24 PM - Andreas Miiller

- Related to bug #7307: Synonyms should not be shown when creating a new concept relation added

#2 - 03/12/2018 10:05 AM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|9df04a28f9¢c5187ad2a682377a7512bfe80ee3c7.

#3 - 03/12/2018 10:08 AM - Katja Luther
- Assignee changed from Katja Luther to Patrick Plitzner

- Priority changed from New to Highest

please review

#4 - 03/23/2018 07:46 AM - Patrick Plitzner
- Status changed from Resolved to Feedback

- Assignee changed from Patrick Plitzner to Katja Luther

This still happens for me.
In both cases:

e Right-click in PK navigator -> New -> Taxonomic Scope
¢ Open a key in the PK editor -> DetailsView -> Taxonomic Scope

#5 - 04/27/2018 12:04 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mtiller

now also the scope is restricted to taxa

#6 - 04/27/2018 01:38 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Katja Luther

works fine
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/9df04a28f9c5187ad2a682377a7512bfe80ee3c7
